formatting-7.2.0: Combinator-based type-safe formatting (like printf() or FORMAT)

Safe Haskell | None
Language | Haskell2010

Formatting.Clock

Description

Formatters for high-res, real-time and timer clock values from System.Clock.

Synopsis

- timeSpecs :: Format r (TimeSpec -> TimeSpec -> r)

# Documentation

timeSpecs :: Format r (TimeSpec -> TimeSpec -> r) Source #

Same as `durationNS` but works on `TimeSpec` from the clock package.